package com.zehong.system.domain;

import org.springframework.security.core.parameters.P;

import java.util.Date;

/**
 * 下级设备信息
 */
public class TDeviceInformation {


    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备状态
     */
    private Integer status;


    /**
     * 设备浓度
     */
    private String potency;

    /**
     * 创建时间
     * @return
     */
    private Date createTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPotency() {
        return potency;
    }

    public void setPotency(String potency) {
        this.potency = potency;
    }

    @Override
    public String toString() {
        return "TDeviceInformation{" +
                "deviceName='" + deviceName + '\'' +
                ", deviceCode='" + deviceCode + '\'' +
                ", status=" + status +
                ", potency='" + potency + '\'' +
                ", createTime=" + createTime +
                '}';
    }
}
